For the complete documentation index, see llms.txt. This page is also available as Markdown.

SecretsSettings

Snyk API reference for the SecretsSettings endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Update the Secrets settings for an org (Early Access)

patch

Update the Secrets settings for an org

Required permissions

  • View Organization (org.read)

  • Edit Organization (org.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Secrets settings

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

The Secrets settings for the org are being updated

application/vnd.api+json
patch/orgs/{org_id}/settings/secrets
PATCH /rest/orgs/{org_id}/settings/secrets?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 106

{
  "data": {
    "attributes": {
      "secrets_enabled": true
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text"
  }
}
{
  "data": {
    "attributes": {
      "secrets_enabled": true
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Retrieves the Secrets settings for an org (Early Access)

get

Retrieves the Secrets settings for an org

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to retrieve the Secrets settings

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

The Secrets settings for the org are being retrieved

application/vnd.api+json
get/orgs/{org_id}/settings/secrets
GET /rest/orgs/{org_id}/settings/secrets?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "secrets_enabled": true
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Last updated

Was this helpful?